Page MenuHomePhabricator

Do not exclude includes/skins from code sniffer
Closed, ResolvedPublic

Description

MediaWiki contains a skins folder in the root, in the includes folder and inside the test folder.

All this folder are excluded by the exclude-pattern from the phpcs.xml, but only the folder from root should be excluded.

Event Timeline

Umherirrender updated the task description. (Show Details)
Umherirrender raised the priority of this task from to Needs Triage.
Umherirrender added a subscriber: Umherirrender.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 17 2016, 9:21 PM

No idea how/if we can fix the rule, but I went ahead and fixed the current violations in the affected files: https://gerrit.wikimedia.org/r/#/c/274478/

Krinkle triaged this task as Low priority.Mar 4 2016, 3:30 PM
Krinkle claimed this task.
Krinkle set Security to None.

Change 274965 had a related patch set uploaded (by Krinkle):
build: Ignore phpcs in /skins but not /includes/skins

https://gerrit.wikimedia.org/r/274965

Krinkle renamed this task from Do not exclude includes\skins from code sniffer to Do not exclude includes/skins from code sniffer.Mar 4 2016, 3:51 PM

Change 274965 merged by jenkins-bot:
build: Ignore phpcs in /skins but not /includes/skins

https://gerrit.wikimedia.org/r/274965

matmarex closed this task as Resolved.Mar 10 2016, 6:42 PM
matmarex removed a project: Patch-For-Review.